Company logoTrust Center Documentation

Get a variant

Retrieve a specific variant by ID, including its options and translations. Browse request parameters, authentication requirements, response payloads, and…

GET
/api/v1/variants/{id}

Retrieve a specific variant by ID, including its options and translations.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/variants/var-123"
{
  "variant": {
    "id": "string",
    "title": "string",
    "slug": "string",
    "enabled": true,
    "order": 0,
    "translations": [
      {
        "id": "string",
        "languages_code": "en-US",
        "title": "string"
      }
    ],
    "options": [
      {
        "id": "string",
        "title": "string",
        "slug": "string",
        "enabled": true,
        "order": 0,
        "translations": [
          {
            "id": "string",
            "languages_code": "en-US",
            "title": "string"
          }
        ]
      }
    ]
  }
}
Empty
Empty
Empty
Empty

How is this guide?